CentOS 8 : nodejs:12 (CESA-2021:3623)

critical Nessus Plugin ID 153532

Synopsis

The remote CentOS host is missing one or more security updates.

Description

The remote CentOS Linux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the CESA-2021:3623 advisory.

- nodejs: Use-after-free on close http2 on stream canceling (CVE-2021-22930, CVE-2021-22940)

- nodejs: Improper handling of untypical characters in domain names (CVE-2021-22931)

- nodejs: Incomplete validation of tls rejectUnauthorized parameter (CVE-2021-22939)

- nodejs-path-parse: ReDoS via splitDeviceRe, splitTailRe and splitPathRe (CVE-2021-23343)

- nodejs-tar: Insufficient symlink protection allowing arbitrary file creation and overwrite (CVE-2021-32803)

- nodejs-tar: Insufficient absolute path sanitization allowing arbitrary file creation and overwrite (CVE-2021-32804)

- c-ares: Missing input validation of host names may lead to domain hijacking (CVE-2021-3672)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected nodejs-nodemon and / or nodejs-packaging packages.

See Also

https://access.redhat.com/errata/RHSA-2021:3623

Plugin Details

Severity: Critical

ID: 153532

File Name: centos8_RHSA-2021-3623.nasl

Version: 1.5

Type: local

Agent: unix

Published: 9/22/2021

Updated: 1/26/2022

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

Risk Information

CVSS Score Source: CVE-2021-22931

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:centos:centos:8, p-cpe:/a:centos:centos:nodejs-nodemon, p-cpe:/a:centos:centos:nodejs-packaging

Required KB Items: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 9/21/2021

Vulnerability Publication Date: 5/4/2021

Reference Information

CVE: CVE-2021-3672, CVE-2021-22930, CVE-2021-22931, CVE-2021-22939, CVE-2021-22940, CVE-2021-23343, CVE-2021-32803, CVE-2021-32804

RHSA: 2021:3623

IAVB: 2021-B-0050-S